Subject: Re: [PATCH 01/37] PCI/MSI: Add Devres managed IRQ vectors allocation

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 Feb 2026 16:04:02 -0800

On Mon, 23 Feb 2026 23:29:40 +0800 Shawn Lin wrote:
> pcim_alloc_irq_vectors() and pcim_alloc_irq_vectors_affinity() are created for
> pci device drivers which rely on the devres machinery to help cleanup the IRQ
> vectors.

If you can please add this API with just a few users, and then convert
remaining users via the subsystem trees in the next cycle.
There's no need to risk wasting maintainer time on conflicts with
conversions like this.